Bug 223941 - Services EWS should run for webkitscmpy and webkitcorepy changes
Summary: Services EWS should run for webkitscmpy and webkitcorepy changes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-30 11:14 PDT by Aakash Jain
Modified: 2021-04-22 09:12 PDT (History)
4 users (show)

See Also:


Attachments
[fast-cq] Patch (2.25 KB, patch)
2021-04-21 16:33 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff
[fast-cq] Patch (2.34 KB, patch)
2021-04-22 09:08 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2021-03-30 11:14:53 PDT
Services EWS should run tests for webkitscmpy changes, since webkitscmpy changes can break resultsdbpy tests.

As noted in https://bugs.webkit.org/show_bug.cgi?id=223397#c5, r274587 broke resultsdbpy tests, but Services EWS was not run on that patch.
Comment 1 Radar WebKit Bug Importer 2021-04-06 11:16:16 PDT
<rdar://problem/76275638>
Comment 2 Aakash Jain 2021-04-21 16:33:44 PDT
Created attachment 426753 [details]
[fast-cq] Patch
Comment 3 Jonathan Bedard 2021-04-22 07:58:01 PDT
Comment on attachment 426753 [details]
[fast-cq] Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=426753&action=review

> Tools/CISupport/ews-build/steps.py:377
> +        'Tools/Scripts/libraries/webkitscmpy',

Probably webkitcorepy too, since webkitscmpy uses webkitcorepy.
Comment 4 Aakash Jain 2021-04-22 09:08:54 PDT
Created attachment 426819 [details]
[fast-cq] Patch
Comment 5 EWS 2021-04-22 09:12:44 PDT
Committed r276438 (236901@main): <https://commits.webkit.org/236901@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 426819 [details].